<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvSpace - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>
  <style>
    .ex-highlight {
      background-color: #6494ed7c;
      border: 1px solid #43639e;
    }
  </style>
</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Space</h1>
      <h3>Padding</h3>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-p-1 ex-highlight">.nv-p-1</div>
        <div class="nv-d-inline-flex nv-p-2 ex-highlight">.nv-p-2</div>
        <div class="nv-d-inline-flex nv-p-3 ex-highlight">.nv-p-3</div>
        <div class="nv-d-inline-flex nv-p-4 ex-highlight">.nv-p-4</div>
        <div class="nv-d-inline-flex nv-p-5 ex-highlight">.nv-p-5</div>
        <div class="nv-d-inline-flex nv-p-6 ex-highlight">.nv-p-6</div>
        <div class="nv-d-inline-flex nv-p-7 ex-highlight">.nv-p-7</div>
        <div class="nv-d-inline-flex nv-p-8 ex-highlight">.nv-p-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Top</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-pt-1 ex-highlight">.nv-pt-1</div>
        <div class="nv-d-inline-flex nv-pt-2 ex-highlight">.nv-pt-2</div>
        <div class="nv-d-inline-flex nv-pt-3 ex-highlight">.nv-pt-3</div>
        <div class="nv-d-inline-flex nv-pt-4 ex-highlight">.nv-pt-4</div>
        <div class="nv-d-inline-flex nv-pt-5 ex-highlight">.nv-pt-5</div>
        <div class="nv-d-inline-flex nv-pt-6 ex-highlight">.nv-pt-6</div>
        <div class="nv-d-inline-flex nv-pt-7 ex-highlight">.nv-pt-7</div>
        <div class="nv-d-inline-flex nv-pt-8 ex-highlight">.nv-pt-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Bottom</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-pb-1 ex-highlight">.nv-pb-1</div>
        <div class="nv-d-inline-flex nv-pb-2 ex-highlight">.nv-pb-2</div>
        <div class="nv-d-inline-flex nv-pb-3 ex-highlight">.nv-pb-3</div>
        <div class="nv-d-inline-flex nv-pb-4 ex-highlight">.nv-pb-4</div>
        <div class="nv-d-inline-flex nv-pb-5 ex-highlight">.nv-pb-5</div>
        <div class="nv-d-inline-flex nv-pb-6 ex-highlight">.nv-pb-6</div>
        <div class="nv-d-inline-flex nv-pb-7 ex-highlight">.nv-pb-7</div>
        <div class="nv-d-inline-flex nv-pb-8 ex-highlight">.nv-pb-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Left</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-pl-1 ex-highlight">.nv-pl-1</div>
        <div class="nv-d-inline-flex nv-pl-2 ex-highlight">.nv-pl-2</div>
        <div class="nv-d-inline-flex nv-pl-3 ex-highlight">.nv-pl-3</div>
        <div class="nv-d-inline-flex nv-pl-4 ex-highlight">.nv-pl-4</div>
        <div class="nv-d-inline-flex nv-pl-5 ex-highlight">.nv-pl-5</div>
        <div class="nv-d-inline-flex nv-pl-6 ex-highlight">.nv-pl-6</div>
        <div class="nv-d-inline-flex nv-pl-7 ex-highlight">.nv-pl-7</div>
        <div class="nv-d-inline-flex nv-pl-8 ex-highlight">.nv-pl-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Right</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-pr-1 ex-highlight">.nv-pr-1</div>
        <div class="nv-d-inline-flex nv-pr-2 ex-highlight">.nv-pr-2</div>
        <div class="nv-d-inline-flex nv-pr-3 ex-highlight">.nv-pr-3</div>
        <div class="nv-d-inline-flex nv-pr-4 ex-highlight">.nv-pr-4</div>
        <div class="nv-d-inline-flex nv-pr-5 ex-highlight">.nv-pr-5</div>
        <div class="nv-d-inline-flex nv-pr-6 ex-highlight">.nv-pr-6</div>
        <div class="nv-d-inline-flex nv-pr-7 ex-highlight">.nv-pr-7</div>
        <div class="nv-d-inline-flex nv-pr-8 ex-highlight">.nv-pr-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Right and left</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-px-1 ex-highlight">.nv-px-1</div>
        <div class="nv-d-inline-flex nv-px-2 ex-highlight">.nv-px-2</div>
        <div class="nv-d-inline-flex nv-px-3 ex-highlight">.nv-px-3</div>
        <div class="nv-d-inline-flex nv-px-4 ex-highlight">.nv-px-4</div>
        <div class="nv-d-inline-flex nv-px-5 ex-highlight">.nv-px-5</div>
        <div class="nv-d-inline-flex nv-px-6 ex-highlight">.nv-px-6</div>
        <div class="nv-d-inline-flex nv-px-7 ex-highlight">.nv-px-7</div>
        <div class="nv-d-inline-flex nv-px-8 ex-highlight">.nv-px-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Top and bottom</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-py-1 ex-highlight">.nv-py-1</div>
        <div class="nv-d-inline-flex nv-py-2 ex-highlight">.nv-py-2</div>
        <div class="nv-d-inline-flex nv-py-3 ex-highlight">.nv-py-3</div>
        <div class="nv-d-inline-flex nv-py-4 ex-highlight">.nv-py-4</div>
        <div class="nv-d-inline-flex nv-py-5 ex-highlight">.nv-py-5</div>
        <div class="nv-d-inline-flex nv-py-6 ex-highlight">.nv-py-6</div>
        <div class="nv-d-inline-flex nv-py-7 ex-highlight">.nv-py-7</div>
        <div class="nv-d-inline-flex nv-py-8 ex-highlight">.nv-py-8</div>
      </div>
    </div>


    <div class="area-component">
      <h3>Margin</h3>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-m-1 ex-highlight">.nv-m-1</div>
        <div class="nv-d-inline-flex nv-m-2 ex-highlight">.nv-m-2</div>
        <div class="nv-d-inline-flex nv-m-3 ex-highlight">.nv-m-3</div>
        <div class="nv-d-inline-flex nv-m-4 ex-highlight">.nv-m-4</div>
        <div class="nv-d-inline-flex nv-m-5 ex-highlight">.nv-m-5</div>
        <div class="nv-d-inline-flex nv-m-6 ex-highlight">.nv-m-6</div>
        <div class="nv-d-inline-flex nv-m-7 ex-highlight">.nv-m-7</div>
        <div class="nv-d-inline-flex nv-m-8 ex-highlight">.nv-m-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Top</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-mt-1 ex-highlight">.nv-mt-1</div>
        <div class="nv-d-inline-flex nv-mt-2 ex-highlight">.nv-mt-2</div>
        <div class="nv-d-inline-flex nv-mt-3 ex-highlight">.nv-mt-3</div>
        <div class="nv-d-inline-flex nv-mt-4 ex-highlight">.nv-mt-4</div>
        <div class="nv-d-inline-flex nv-mt-5 ex-highlight">.nv-mt-5</div>
        <div class="nv-d-inline-flex nv-mt-6 ex-highlight">.nv-mt-6</div>
        <div class="nv-d-inline-flex nv-mt-7 ex-highlight">.nv-mt-7</div>
        <div class="nv-d-inline-flex nv-mt-8 ex-highlight">.nv-mt-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Bottom</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-mb-1 ex-highlight">.nv-mb-1</div>
        <div class="nv-d-inline-flex nv-mb-2 ex-highlight">.nv-mb-2</div>
        <div class="nv-d-inline-flex nv-mb-3 ex-highlight">.nv-mb-3</div>
        <div class="nv-d-inline-flex nv-mb-4 ex-highlight">.nv-mb-4</div>
        <div class="nv-d-inline-flex nv-mb-5 ex-highlight">.nv-mb-5</div>
        <div class="nv-d-inline-flex nv-mb-6 ex-highlight">.nv-mb-6</div>
        <div class="nv-d-inline-flex nv-mb-7 ex-highlight">.nv-mb-7</div>
        <div class="nv-d-inline-flex nv-mb-8 ex-highlight">.nv-mb-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Left</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-ml-1 ex-highlight">.nv-ml-1</div>
        <div class="nv-d-inline-flex nv-ml-2 ex-highlight">.nv-ml-2</div>
        <div class="nv-d-inline-flex nv-ml-3 ex-highlight">.nv-ml-3</div>
        <div class="nv-d-inline-flex nv-ml-4 ex-highlight">.nv-ml-4</div>
        <div class="nv-d-inline-flex nv-ml-5 ex-highlight">.nv-ml-5</div>
        <div class="nv-d-inline-flex nv-ml-6 ex-highlight">.nv-ml-6</div>
        <div class="nv-d-inline-flex nv-ml-7 ex-highlight">.nv-ml-7</div>
        <div class="nv-d-inline-flex nv-ml-8 ex-highlight">.nv-ml-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Right</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-mr-1 ex-highlight">.nv-mr-1</div>
        <div class="nv-d-inline-flex nv-mr-2 ex-highlight">.nv-mr-2</div>
        <div class="nv-d-inline-flex nv-mr-3 ex-highlight">.nv-mr-3</div>
        <div class="nv-d-inline-flex nv-mr-4 ex-highlight">.nv-mr-4</div>
        <div class="nv-d-inline-flex nv-mr-5 ex-highlight">.nv-mr-5</div>
        <div class="nv-d-inline-flex nv-mr-6 ex-highlight">.nv-mr-6</div>
        <div class="nv-d-inline-flex nv-mr-7 ex-highlight">.nv-mr-7</div>
        <div class="nv-d-inline-flex nv-mr-8 ex-highlight">.nv-mr-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Right and left</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-mx-1 ex-highlight">.nv-mx-1</div>
        <div class="nv-d-inline-flex nv-mx-2 ex-highlight">.nv-mx-2</div>
        <div class="nv-d-inline-flex nv-mx-3 ex-highlight">.nv-mx-3</div>
        <div class="nv-d-inline-flex nv-mx-4 ex-highlight">.nv-mx-4</div>
        <div class="nv-d-inline-flex nv-mx-5 ex-highlight">.nv-mx-5</div>
        <div class="nv-d-inline-flex nv-mx-6 ex-highlight">.nv-mx-6</div>
        <div class="nv-d-inline-flex nv-mx-7 ex-highlight">.nv-mx-7</div>
        <div class="nv-d-inline-flex nv-mx-8 ex-highlight">.nv-mx-8</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Top and bottom</h4>
      
      <div class="area-component">
        <div class="nv-d-inline-flex nv-my-1 ex-highlight">.nv-my-1</div>
        <div class="nv-d-inline-flex nv-my-2 ex-highlight">.nv-my-2</div>
        <div class="nv-d-inline-flex nv-my-3 ex-highlight">.nv-my-3</div>
        <div class="nv-d-inline-flex nv-my-4 ex-highlight">.nv-my-4</div>
        <div class="nv-d-inline-flex nv-my-5 ex-highlight">.nv-my-5</div>
        <div class="nv-d-inline-flex nv-my-6 ex-highlight">.nv-my-6</div>
        <div class="nv-d-inline-flex nv-my-7 ex-highlight">.nv-my-7</div>
        <div class="nv-d-inline-flex nv-my-8 ex-highlight">.nv-my-8</div>
      </div>
    </div>
  </div>
</body>
</html>
 